/**
 * @description: request method
 */
export enum RequestEnum {
  GET = 'GET',
  POST = 'POST',
  PUT = 'PUT',
  DELETE = 'DELETE',
}

/**
 * @description:  contentType
 */
export enum ContentTypeEnum {
  // json
  JSON = 'application/json;charset=UTF-8',
  // form-data qs
  FORM_URLENCODED = 'application/x-www-form-urlencoded;charset=UTF-8',
  // form-data  upload
  FORM_DATA = 'multipart/form-data;charset=UTF-8',
}

export enum ResultEnum {
  SUCCESS = 200,
  ERROR = -1,
  TIMEOUT = 400,
  UNAUTHORIZED = 401,
  INTERNAL_SERVER_ERROR = 500,
  TYPE = 'success',
}

export enum HttpErrorMsgEnum {
  ERROR_TIP = '错误提示',
  API_REQUEST_FAILED = '请求出错，请稍候重试',
  API_TIMEOUT_MESSAGE = '接口请求超时,请刷新页面重试!',

  NETWORK_EXCEPTION = '网络异常，请稍候重试',

  ERROR_MESSAGE_401 = '用户没有权限（令牌、用户名、密码错误）!',
  ERROR_MESSAGE_403 = '用户得到授权，但是访问是被禁止的。!',
  ERROR_MESSAGE_404 = '网络请求错误,未找到该资源!',
  ERROR_MESSAGE_405 = '网络请求错误,请求方法未允许!',
  ERROR_MESSAGE_408 = '请求超时！',
  ERROR_MESSAGE_500 = '服务器错误,请联系管理员!',
  ERROR_MESSAGE_501 = '网络请求错误,未实现！',
  ERROR_MESSAGE_502 = '网络请求错误,网关错误！',
  ERROR_MESSAGE_503 = '服务不可用，服务器暂时过载或维护！',
  ERROR_MESSAGE_504 = '网络请求错误,网关超时！',
  ERROR_MESSAGE_505 = 'http版本不受支持！',
}

export enum HttpSuccessEnum {
  SUCCESS_TIP = '成功提示',
  OPERATION_SUCCESS = '操作成功',
}
