/**
 * @description: 消息类型：ai/user/describe
 */
export enum MessageTypeEnum {
  AI = 'bot',
  USER = 'user',
  DESCRIBE = 'describe', // 描述，例如新建角色时没有历史记录即展示角色描述
}

export enum MessageStatusEnum {
  /*
   * loading
   */
  LOADING = 'loading',
  /*
   * 开始
   */
  ACTICON = 'a',
  /*
   * 结束
   */
  END = 'e',
  /*
   * 报错
   */
  ERROR = 'error',
}

export enum ModelTypeEnum {
  // GPT-4
  GPT4 = 1,

  // GPT-3.5-Turbo
  GPT3 = 2,

  // 文生图 DALL·E 3
  DALL_E3 = 3,

  // 视觉分析 GPT-4-Vision
  GPT4_VISION = 4,

  // 知识库 QAnything
  QANYTHING = 5,
}

/**
 * @description: 模型联网状态
 * @param LOCAL 不联网(除了天气、新闻)
 * @param REMOTE 联网
 */
export enum NetTypeEnum {
  LOCAL,
  REMOTE,
}
