/**
 * @description: mqtt 连接状态枚举
 * @param UNCONNECTED 未连接
 * @param CONNECTING 连接中
 * @param CONNECTED 已连接
 * @param CONNECT_FAILED 连接失败
 * @param DISCONNECTED 断开连接
 * @param RECONNECTING 重连中
 */
export enum MqttConnectStateEnum {
  // 未连接
  UNCONNECTED = 'unConnected',
  // 连接中
  CONNECTING = 'connecting',
  // 已连接
  CONNECTED = 'connected',
  // 连接失败
  CONNECT_FAILED = 'connectFailed',

  // 断开连接
  DISCONNECTED = 'disConnected',
  // 断开中
  DISCONNECTING = 'disconnecting',
  // 断开失败
  DISCONNECT_FAILED = 'disconnectFailed',
  // 重连中
  RECONNECTING = 'reConnecting',
}

/**
 * @description: mqtt 订阅状态枚举
 * @param UNSUBSCRIBED 未订阅
 * @param SUBSCRIBING 订阅中
 * @param SUBSCRIBE_SUCCESS 订阅成功
 * @param SUBSCRIBE_FAILED 订阅失败
 */
export enum MqttSubcribeStateEnum {
  // 未订阅
  UNSUBSCRIBED = 'unSubscribed',
  // 订阅中
  SUBSCRIBING = 'subscribing',
  // 订阅成功
  SUBSCRIBE_SUCCESS = 'subscribeSuccess',
  // 订阅失败
  SUBSCRIBE_FAILED = 'subscribeFailed',
}

/**
 * @description: mqtt message_content 错误回复
 * @param SENSITIVE_WORD 敏感词汇
 */
export enum MqttContentErrorEnum {
  SENSITIVE_WORD = '不符合安全规范，请重新输入',
}
