/*
 * @Description:
 * @Author: yeke
 * @Date: 2024-01-14 15:47:49
 * @LastEditors: 1960116313@qq.com
 * @LastEditTime: 2024-01-23 14:35:03
 */
import { createApp } from 'vue'

import './design/public.scss'
import 'virtual:uno.css'
import 'ant-design-vue/dist/reset.css'
import App from './App.vue'
import { setupStore } from '@/store'
import { router, setupRouter } from '@/router'
import { setupRouterGuard } from '@/router/guard'
import '@/assets/fonts/fonts.css'

// svg图标
import 'virtual:svg-icons-register'

const app = createApp(App)
// 挂载状态管理
setupStore(app)

// 配置路由
setupRouter(app)

// 路由守卫
setupRouterGuard(router)

app.mount('#app')
