import type { MessageStatusEnum } from '@/enums/messageEnum'
import type { MessageItem } from '@/components/AppMessage/index.d'
import type { SubMenuActionEnum } from '@/components/AppSubMenuList/index.d'

export interface ConversationData {
  createDept: string
  createTime: string
  createUser: string
  id: string
  isDeleted: number
  roleId: number
  roleImg: string
  roleName: string
  type: number
  status: number
  title: string
  updateTime: string
  updateUser: string
  userId: string
  actionType: SubMenuActionEnum
  modelType: string
  contextCount: number | null // 上下文数量
  firstMsg: string
}

export interface MessageStoreType {
  // 消息当前状态
  messageStatus: MessageStatusEnum
  // 当前会话数据
  conversationData?: ConversationData

  // 消息主题key
  topicKey: string

  // 当前会话消息列表
  messageList: MessageItem[]
}
