import { defineStore } from 'pinia'
import { NEW_USER_KEY } from '@/enums/cacheEnum'

export const useTaskListStore = defineStore('useTaskListStore', {
  state: () => {
    return {
      basicTask: false,
      noviceTask: false,
      dailyTask: false,
      otherTask: false,
      newUserFlag: true,
    }
  },
  actions: {
    changeBasicTask(status: boolean) {
      this.basicTask = status
    },
    changeNoviceTask(status: boolean) {
      this.noviceTask = status
    },
    changeDailyTask(status: boolean) {
      this.dailyTask = status
    },
    changeOtherTask(status: boolean) {
      this.otherTask = status
    },
    changeNewUserFlag() {
      this.newUserFlag = false
    },
  },
  persist: [
    {
      paths: ['newUserFlag'],
      key: NEW_USER_KEY,
    },

  ],
})
